BLAS/SRC/zaxpy.f(3)

NAME
BLAS/SRC/zaxpy.f

SYNOPSIS

  Functions/Subroutines
subroutine zaxpy (n, za, zx, incx, zy, incy)
ZAXPY

Function/Subroutine Documentation

  subroutine zaxpy (integer n, complex*16 za, complex*16, dimension(*) zx, integer incx, complex*16, dimension(*) zy, integer incy)

ZAXPY

Purpose:

        ZAXPY constant times a vector plus a vector.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    ZA

              ZA is COMPLEX*16
               On entry, ZA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 87 of file zaxpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.